Subject: RE: Domain group doesn't work in cygwin
From: "Pierre A. Humblet" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 29 Apr 2005 14:47:32 -0400

On Apr 29 14:03, Mastchenko, Cyrille wrote:

> Hi,
> Thanks for Pierre and Corinna sugestion.
> I upgrade my cygwin to the last version yesterday (with a clean reboot),
> I check my /etc/group, my group are in it.
> I am on a window server 2003, and my user and his group are defined in the
> domain (another window server 2003 with ActiveDirectory)
>
> mind_mgr@bdmb5039 ~
> $ id
> uid=20238(mind_mgr) gid=10513(Domain Users) groups=545(Users),10513(Domain
Users)

> This user should be in those domain groups too :
>
Grp_Data_5039_BOX-PROD_Read:S-1-5-21-1348827459-882799078-1539857752-8081:18
081:
>
Grp_Data_5039_BOX-PROD_Write:S-1-5-21-1348827459-882799078-1539857752-8082:1
8082:
> (we use group to give read or read/write access to data, and we want to
use
> cygwin to be able to rsync/ssh from a unix computer)

So you are on Computer_A and the user is defined on Computer_B
In /etc/passwd, there is a line defining the user, with a computer name in
it,
 something like U-Computer_X\mind_mgr
What is Computer_X?

What's probably happening is that Cygwin can't obtain the user's groups
from Computer_X
What  "mkgroup -u -d Computer_X" produce?
Ditto "mkpasswd -u mind_mgr -d Computer_X"

Workaround:
Edit /etc/group and add user mind_mgr (and any others) at the end of lines
of the groups they should belong to but don't, e.g.
Grp_Data_5039_BOX-PROD_Read:S-1-5-21-1348827459-882799078-1539857752-8081:18
081:mind_mgr

The same result may be obtained by "mkgroup -u -l -d" (without domain name),
but that may
give rise to a file that is very (and uselessly) large.

Pierre

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/